#include "fileutil.h"
#include <unistd.h>

int __fp_write(FILE *fp, void const *data, size_t size)
{
	if(!fp)
		return EOF;

	ssize_t rc = write(fp->fd, data, size);

	if(rc < 0) {
		fp->error = 1;
		return EOF;
	}
	else {
		fp->fdpos += rc;
		return 0;
	}
}
